package ink.wgink.module.activiti.pojo.pos.oa;

import io.swagger.annotations.ApiModel;

import java.io.Serializable;

/**
 * @ClassName: OaFormReportCcDTO
 * @Description: 表单上报抄送
 * @Author: wanggeng
 * @Date: 2022/5/9 11:16
 * @Version: 1.0
 */
@ApiModel
public class OaCcPO implements Serializable {

    private static final long serialVersionUID = 7980007577691380590L;
    private String ccId;
    private String formCode;
    private Integer formVersion;
    private String processInstanceId;
    private String reportUid;
    private String userId;
    private Integer isRead;
    private String gmtCreate;
    private String creator;
    private String gmtModified;

    public String getCcId() {
        return ccId == null ? "" : ccId.trim();
    }

    public void setCcId(String ccId) {
        this.ccId = ccId;
    }

    public String getFormCode() {
        return formCode == null ? "" : formCode.trim();
    }

    public void setFormCode(String formCode) {
        this.formCode = formCode;
    }

    public Integer getFormVersion() {
        return formVersion == null ? 0 : formVersion;
    }

    public void setFormVersion(Integer formVersion) {
        this.formVersion = formVersion;
    }

    public String getProcessInstanceId() {
        return processInstanceId == null ? "" : processInstanceId.trim();
    }

    public void setProcessInstanceId(String processInstanceId) {
        this.processInstanceId = processInstanceId;
    }

    public String getReportUid() {
        return reportUid == null ? "" : reportUid.trim();
    }

    public void setReportUid(String reportUid) {
        this.reportUid = reportUid;
    }

    public String getUserId() {
        return userId == null ? "" : userId.trim();
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public Integer getIsRead() {
        return isRead == null ? 0 : isRead;
    }

    public void setIsRead(Integer isRead) {
        this.isRead = isRead;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getCreator() {
        return creator == null ? "" : creator.trim();
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getGmtModified() {
        return gmtModified == null ? "" : gmtModified.trim();
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }
}
